#!/usr/bin/python

import apt_pkg
import apt

import os
import sys
import logging

from optparse import OptionParser

from ArchiveCrawler import ArchiveCrawler


if __name__ == "__main__":
    
    logging.basicConfig(level=logging.DEBUG,
                        filename="archive-craler.log",
                        format='%(asctime)s %(levelname)s %(message)s',
                        filemode='w')

    # options
    parser = OptionParser()
    parser.add_option("--aptroot", "--aptroot", dest="aptroot",
                      help="aptroot", default="aptroot/")
    parser.add_option("--arch", "--arch", dest="arch",
                      help="arch",
                      default=apt_pkg.Config.Find("APT::Architecture"))
    parser.add_option("--actionsdir", "--actionsdir", dest="actionsdir",
                      help="actionsdir",
                      default=apt_pkg.Config.Find("APT::Architecture"))
    parser.add_option("-p", "--pooldir", dest="pooldir",
                      help="pooldir", default="/srv/archive.ubuntu.com/ubuntu/pool")
    parser.add_option("-d", "--datadir", dest="datadir",
                      help="datadir", default="data/")
    (options, args) = parser.parse_args()

    # do it
    crawler = ArchiveCrawler(options.aptroot,
                             options.pooldir,
                             options.actionsdir,
                             options.datadir,
                             options.arch)
    crawler.updateCache()
    crawler.crawl()
