#! /usr/bin/env python
#
# (c) 2007 Canonical, GPL
# Authors:
#  Michael Vogt
#
#
#

import apt_pkg
import logging
from optparse import OptionParser
from CommandDataExtractor import CommandDataExtractor

if __name__ == "__main__":

    # init logging
    logging.basicConfig(level=logging.INFO,
                        filename="command-not-found-extract.log",
                        format='%(asctime)s %(levelname)s %(message)s',
                        filemode='w')

    # options
    parser = OptionParser()
    parser.add_option("--aptroot", "--aptroot", dest="aptroot",
                      help="aptroot", default="aptroot/")
    parser.add_option("--actionsdir", "--actionsdir", dest="actionsdir",
                      help="actionsdir",
                      default=apt_pkg.Config.Find("APT::Architecture"))
    parser.add_option("-p", "--pooldir", dest="pooldir",
                      help="pooldir", default="/srv/archive.ubuntu.com/ubuntu/pool")
    parser.add_option("-d", "--datadir", dest="datadir",
                      help="datadir", default="data/")
    (options, args) = parser.parse_args()


    # now run it
    extractor = CommandDataExtractor(options.aptroot,
                                             options.pooldir,
                                             options.datadir)
    extractor.extract()

    logging.info("extraction finished")
