#! /usr/bin/env python
#
# (c) 2005-2007 Canonical, GPL
# Authors:
#  Michael Vogt
#
#
# FIXME: strip "TryExec" from the extracted menu files (and noDisplay)
#        
# TODO:
# - emacs21 ships it's icon in emacs-data, deal with this
# - some stuff needs to be blacklisted (e.g. gnome-about)
# - lots of packages have there desktop file in "-data", "-comon" (e.g. anjuta)
# - lots of packages have multiple desktop files for the same application
#   abiword, abiword-gnome, abiword-gtk
#
#
# *** records files extracted for deb so that we can delete orphaned
#     desktop files + icons from the menu again
# *** we cleaning up orpahans, make sure that the extracted data
#     is not now in a different pacakge (i.e. check for that)
#

import apt_pkg
import logging
from optparse import OptionParser
from DesktopDataExtractor import DesktopDataExtractor

if __name__ == "__main__":

    # init logging
    logging.basicConfig(level=logging.INFO,
                        filename="menu-data-extract.log",
                        format='%(asctime)s %(levelname)s %(message)s',
                        filemode='w')

    # options
    parser = OptionParser()
    parser.add_option("--aptroot", "--aptroot", dest="aptroot",
                      help="aptroot", default="aptroot/")
    parser.add_option("--actionsdir", "--actionsdir", dest="actionsdir",
                      help="actionsdir",
                      default=apt_pkg.Config.Find("APT::Architecture"))
    parser.add_option("-p", "--pooldir", dest="pooldir",
                      help="pooldir", default="/srv/archive.ubuntu.com/ubuntu/pool")
    parser.add_option("-d", "--datadir", dest="datadir",
                      help="datadir", default="data/")
    (options, args) = parser.parse_args()


    # now run it
    desktop_extractor = DesktopDataExtractor(options.aptroot,
                                             options.pooldir,
                                             options.datadir)
    desktop_extractor.extract()

    logging.info("extraction finished")
